local Network = require('lneural.network')
local Data    = require('lneural.data')

local data    = Data.new_from_file('xor.data')
local net     = Network.new(2, 3, 1)
net:set_activation_function('sigmoid_symmetric')

local m, e    = net:train(data, 0.001, 1000)
net:validate(data, true)
print('Epochs: ' .. e)
